"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asAsync = void 0;
const from_1 = require("../../async/_private/from");
/**
 * Converts a IEnumerable enumerable to an async one.
 * @param source A parallel IEnumerable
 */
function asAsync(source) {
    async function* generator() {
        for await (const value of source) {
            yield value;
        }
    }
    return from_1.from(generator);
}
exports.asAsync = asAsync;
