"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asAsync = void 0;
const from_1 = require("../../async/_private/from");
/**
 * Converts the iterable to an @see {IAsyncEnumerable}
 * @param source The Iterable<T> to convert
 * @returns An IAsyncEnumerable<T>
 */
exports.asAsync = (source) => {
    async function* generator() {
        for (const value of source) {
            yield value;
        }
    }
    return from_1.from(generator);
};
