"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asParallel = void 0;
const ParallelEnumerable_1 = require("../../parallel/ParallelEnumerable");
/**
 * Converts an iterable to @see {IParallelEnumerable}
 * @param source Sequence to convert
 * @returns An IParallelEnumerable<T>
 */
exports.asParallel = (source) => {
    const generator = async () => {
        const array = [];
        for (const value of source) {
            array.push(value);
        }
        return array;
    };
    return ParallelEnumerable_1.from(0 /* PromiseToArray */, generator);
};
