"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eachAsync = void 0;
const from_1 = require("../../async/_private/from");
/**
 * Performs a specified action on each element of the Iterable<TSource>
 * @param source The source to iterate
 * @param action The action to take an each element
 * @returns A new IAsyncEnumerable<T> that executes the action lazily as you iterate.
 */
exports.eachAsync = (source, action) => {
    async function* generator() {
        for (const value of source) {
            await action(value);
            yield value;
        }
    }
    return from_1.from(generator);
};
